Bug 128236 - How does margin setting work?
How does margin setting work?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 11:49 EDT by Paul Howarth
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 09:59:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2004-07-20 11:49:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I'm trying to set the printable area/margins for my printer, which is
a Samsung ML-4500 though I think the same applies for any printer.
There is clearly a facility to tweak some imageable area and margins
values in the "Queue Options" part of system-config-printer but I
can't find any documentation or hints as to which values to tweak, how
to tweak them, what the difference is between the "imageable area"
options and the "margins" options etc.

I the past I have successfully used the alignmargins/align.ps scripts
from linuxprinting.org to tweak the PPD file to match my printer.
However, given that system-config-printer clearly intends to provide
the same sort of functionality, I would really like to do it "the
approved way", which might then create settings that would persist
across upgrades etc. 

I would really appreciate it if a quick "margins howto" file was added
to the documentation section and/or help section of
system-config-printer. I've tried changing some values and looking for
the differences in the output to try to decide what's what but I can't
make sense of it at the moment and I'll be wasting a lot of paper.

In the meantime I'm going to work around it by using the old
alignmargins method and manually assigning the modified PPD file to
the queue with lpadmin.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Edit a printer queue.
2. Select "queue options"
3. Boggle.
    

Actual Results:  Top and left few pixels missing from printout.

Expected Results:  Should have found guidance on setting margins.

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:34:33 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Paul Howarth 2005-04-26 12:44:09 EDT
Still no sign of any documentation on setting margins in the FC3 version of the
package, so bumping version to FC3.
Comment 3 Hans de Goede 2005-06-29 07:08:02 EDT
I'm still having the same problem in rawhide. Please bump the version up to devel.
Comment 4 Paul Howarth 2006-11-08 05:27:37 EST
Given that system-config-printer has been rewritten for FC6 and doesn't have
specific margin setting options, I think this can be closed. Hans, do you agree?
Comment 5 Hans de Goede 2006-11-08 09:56:58 EST
Agreed
Comment 6 Paul Howarth 2006-11-08 09:59:37 EST
OK, closing as WONTFIX (seems the most appropriate resolution to me).

Note You need to log in before you can comment on or make changes to this bug.